For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
            • GETList Product Variants
            • POSTCreate Product Variant
            • GETGet Product Variant
            • PUTUpdate Product Variant
            • DELDelete Product Variant
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProduct Variants

List Product Variants

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/variants
GET
/stores/:store_hash/v3/catalog/products/:product_id/variants
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/variants \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "bin_picking_number": "A12-B3",
5 "calculated_price": 10,
6 "calculated_weight": 2,
7 "cost_price": 7.5,
8 "depth": 5,
9 "fixed_cost_shipping_price": 10,
10 "gtin": "00012345678905",
11 "height": 5,
12 "id": 382,
13 "image_url": "https://cdn.example.com/images/products/382-beige.jpg",
14 "inventory_level": 150,
15 "inventory_warning_level": 10,
16 "is_free_shipping": false,
17 "mpn": "MPN382BE",
18 "option_values": [
19 {
20 "id": 174,
21 "label": "Beige",
22 "option_display_name": "Color",
23 "option_id": 220
24 }
25 ],
26 "price": 10,
27 "product_id": 192,
28 "purchasing_disabled": false,
29 "purchasing_disabled_message": "",
30 "retail_price": 12,
31 "sale_price": 8,
32 "sku": "SMIT-BEIGE",
33 "sku_id": 348,
34 "upc": "123456789012",
35 "weight": 4,
36 "width": 5,
37 "map_price": {}
38 },
39 {
40 "bin_picking_number": "A12-B4",
41 "calculated_price": 25,
42 "calculated_weight": 1,
43 "cost_price": 20,
44 "depth": 5,
45 "fixed_cost_shipping_price": 10,
46 "gtin": "00012345678912",
47 "height": 5,
48 "id": 383,
49 "image_url": "https://cdn.example.com/images/products/383-grey.jpg",
50 "inventory_level": 80,
51 "inventory_warning_level": 5,
52 "is_free_shipping": false,
53 "mpn": "MPN383GR",
54 "option_values": [
55 {
56 "id": 175,
57 "label": "Grey",
58 "option_display_name": "Color",
59 "option_id": 220
60 }
61 ],
62 "price": 25,
63 "product_id": 192,
64 "purchasing_disabled": false,
65 "purchasing_disabled_message": "",
66 "retail_price": 27,
67 "sale_price": 20,
68 "sku": "SMIT-GREY",
69 "sku_id": 349,
70 "upc": "123456789013",
71 "weight": 2,
72 "width": 5,
73 "map_price": {}
74 },
75 {
76 "bin_picking_number": "A12-B5",
77 "calculated_price": 25,
78 "calculated_weight": 1,
79 "cost_price": 20,
80 "depth": 5,
81 "fixed_cost_shipping_price": 10,
82 "gtin": "00012345678929",
83 "height": 5,
84 "id": 384,
85 "image_url": "https://cdn.example.com/images/products/384-black.jpg",
86 "inventory_level": 60,
87 "inventory_warning_level": 5,
88 "is_free_shipping": false,
89 "mpn": "MPN384BL",
90 "option_values": [
91 {
92 "id": 176,
93 "label": "Black",
94 "option_display_name": "Color",
95 "option_id": 220
96 }
97 ],
98 "price": 25,
99 "product_id": 192,
100 "purchasing_disabled": false,
101 "purchasing_disabled_message": "",
102 "retail_price": 27,
103 "sale_price": 20,
104 "sku": "SMIT-BLACK",
105 "sku_id": 350,
106 "upc": "123456789014",
107 "weight": 2,
108 "width": 5,
109 "map_price": {}
110 }
111 ],
112 "meta": {
113 "pagination": {
114 "total": 3,
115 "count": 3,
116 "per_page": 50,
117 "current_page": 1,
118 "total_pages": 1,
119 "links": {
120 "current": "?page=1&limit=50"
121 }
122 }
123 }
124}
Returns a list of product variants. Optional parameters can be passed in.
Was this page helpful?
Previous

Catalog - Product variants

Next

Create Product Variant

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs. Product variant metafield endpoints that have the product_id in the request path are successful as long as the parameter is not empty. The product_id segment is there only for path consistency.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

Response

datalist of objects
metaobject
Data about the response, including pagination and collection totals.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.